Bug 175049 - Installer does not load ata_piix properly
Installer does not load ata_piix properly
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
5
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jeff Garzik
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-12-05 19:22 EST by Sebastian Schulze
Modified: 2013-07-02 22:26 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-05-05 10:53:18 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
dmesg-lspci-interrupts-dmidecode_of_acer4150 (38.35 KB, text/plain)
2006-05-27 19:38 EDT, Sony K. Philip
no flags Details

  None (edit)
Description Sebastian Schulze 2005-12-05 19:22:29 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (compatible; Konqueror/3.5; Linux) KHTML/3.5.0 (like Gecko) Kubuntu 6.04 Dapper

Description of problem:
The Installer probably does not load the ata_piix module properly.   
I'm Using Fedora Core on my Laptop (Acer TM 4150), it has one HD attached on a   
S-ATA Controller (Intel 82801FBM (ICH6M)).   
In Anaconda I see my HD as /dev/hdc and if I test it on the second console   
with 'hdparm -t /dev/hdc', it is running at 1.47 MB/s.   
Setting the DMA Mode fails with "HDIO_SET_DMA failed: Operation not   
permitted".   
   
So I get no chance to install FC properly, because the speed is very low and I   
don't want to crash the other partitions.   
   
Same problem also with FC 3 and FC 2. 
By the way: Using OpenSuse 10.0 detected the HD as /dev/sda, running properly.   
 
   
Please tell me what output you would need, I'll try to help.   
(This is my first bugzilla-report, sorry for my bad English)   
   
Bye, Sebastian  

Version-Release number of selected component (if applicable):
ata_piix version 1.04

How reproducible:
Always

Steps to Reproduce:
1. Insert 1st CD / Boot up  
2. Wait for Anaconda to finish 
 
    

Actual Results:  Harddrive is /dev/hdc and really slow (1,47 MB/s) 

Expected Results:  Harddrive should be /dev/sda and running at > 25 MB/s 

Additional info:
Comment 1 Dave Jones 2005-12-12 14:34:26 EST
is there a setting in your bios for 'combined' mode ? or 'ata legacy' ?

Comment 2 Sebastian Schulze 2005-12-12 18:17:46 EST
Sorry - no way. It's a very small Laptop-Bios,  
I can only configure Time, IR and Boot-Devices. 
Comment 3 Dave Jones 2005-12-12 18:53:31 EST
what would be useful to see is the dmesg output.
you can capture this by booting the install CD as far as the splash screen, and
then ctrl-alt-f2 to get to a console, and put a floppy in the drive, and type

dmesg -s 128000 > /dev/fd0

and then read that back on a different system with strings /dev/fd0
Comment 4 Dave Jones 2006-03-06 12:36:40 EST
was fc5 test3 any better ?
Comment 5 John Thacker 2006-05-05 10:53:18 EDT
Closing due to lack of response.
Comment 6 Sony K. Philip 2006-05-27 19:38:23 EDT
Created attachment 130129 [details]
dmesg-lspci-interrupts-dmidecode_of_acer4150
Comment 7 Sony K. Philip 2006-05-27 19:46:36 EDT
Hi Dave/Jeff,
I've come across one of these laptops(Acer Travelmate 4150NLCi) and have been
having the same problem with it. The hdd shows up as secondary master and the
dvdrom drive is secondary slave on an ICH6. ata_piix loads up and doesnt detect
anything. I added 'combined_mode=libata' to the cmdline to get it to detect and
it found it as a sata hdd but it stopped booting at sda: <6> and then after a
couple of minutes, the machine just froze.
I have been trying various boot params to get it to work but it was no go. I
wanted to turn off 'libata.atapi_enabled' so I put in 'options libata
atapi_enabled=0' in modprobe.conf and then ran 'new-kernel-pkg --package kernel
--mknitrd --depmod -v --install 2.6.16-1.2122_FC5', but it didnt turn it off
when it booted up(linux-2.6-defaults-enable-sata-atapi.patch). I also tried
hdc=noprobe, trying to get ata_piix to hook on to the hdd but not the dvdrom,
and that resulted in hdd not being detected at all.
Finally, unscrewed dvdrom and pulled it out and machine booted up with
'combined_mode=libata' and ata_piixn works as long as theres no drive in the
bay. Im already floppyless... now Im cdromless too. ;-) Cannot do anything in
the BIOS to change things either.
I have attached some info about the machine. Hope we can fix this soon.
TIA.

Note You need to log in before you can comment on or make changes to this bug.